Subject: Re: [PATCH v8 5/8] config: store "git -c" variables using more robust format

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 20 Jan 2021 07:29:01 +0100

On Fri, Jan 15, 2021 at 02:16:46PM -0500, Jeff King wrote:
> On Tue, Jan 12, 2021 at 01:27:01PM +0100, Patrick Steinhardt wrote:
> 
> > The previous commit added a new format for $GIT_CONFIG_PARAMETERS which
> > is able to robustly handle subsections with "=" in them. Let's start
> 
> It looks like this commit and 6 got flipped from the original ordering
> (it's the "previous commit" talked about here). And indeed, running the
> tests on the individual commits in this series shows that we fail at
> this step (because we are writing the new format, but the reader is too
> strict to accept it).
> 
> That doesn't matter to the end result, of course, but it hurts later
> bisecting. Just flipping patches 5 and 6 makes it all work.
> 
> -Peff

Oops, yes. That always happens to me when I start using git-am(1). I see
that the patch series has been applied to "next" already, so does it
make any sense to resend with patches 5 and 6 flipped?

Patrick